//+------------------------------------------------------------------+
//+------------------------------------------------------------------+

#property indicator_separate_window
#property indicator_buffers 1

extern int HHLLPeriod = 20;
double HH_MA_num[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexStyle(0,DRAW_LINE,EMPTY,1,Aqua);
   SetIndexBuffer(0,HH_MA_num);
   SetIndexLabel(0,"# bars since new higher high");
   IndicatorDigits(0);
   return;
   }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
   {
   return;
   }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
   {
   double HH_MA,HH_MA_prev;
   
   for(int i = (Bars-1) - (IndicatorCounted()-1); i >= 0; i--) 
      {
      
      HH_MA = iCustom(NULL,0,"HH_LL",HHLLPeriod,1,i);
      
      HH_MA_prev = iCustom(NULL,0,"HH_LL",HHLLPeriod,1,i+1);
            
      if (HH_MA != EMPTY_VALUE)
         {
         if (HH_MA > HH_MA_prev || HH_MA_prev == EMPTY_VALUE)
            HH_MA_num[i] = 1;
         else
            HH_MA_num[i]=HH_MA_num[i+1]+1;   
         }
    }
      
   return;
   }
//+------------------------------------------------------------------+